# Submission / Technical Documenation for basebox

Our submission/compliance docs can be found on our [Documentation Site](https://docs.basebox.io).


## What is basebox?

basebox is an API Server and data management system written in 100% [Rust](https://rust-lang.org). It features a unique GraphQL to SQL compiler that supports automatic joins and other cool features and enables frontend developers to create an API backend by simply describing it in a single GraphQL schema file.

For more information about basebox, see basebox' website at [basebox.io](https://basebox.io).

<p style="text-align: center; margin: 60px auto;" align="center">
  <a href="https://basebox.io">
    <img src="img/basebox_logo.svg">
  </a>
</p>

## What is Submission Documentation?

basebox was developed according to the rules of ISO 13485 and IEC 62304, making it suitable for use in regulated areas, especially for medical appliances. We deliver extensive documentation for basebox that helps in getting your basebox-based product certified.

The documents we provide for basebox are (among others):

* Software Requirements Specification
* Architecture Description
* Intended Use
* User Needs
* ...


If you are developing an API controlled medical device or a device for some other regulated area, you probably know what this is all about. All others can be sure that we develop basebox to meet the highest software development standards.

